<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="../css/style.css">
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <title>Compositions</title>
    <link href="./bass-clef-48.ico" rel="shortcut icon" type="image/x-icon">
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light fixed-top">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a class="nav-link" href="./composers.html">Composers</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="./add-composition.html" id="add-composition-link" hidden>Add new composition</a>
            </li>
            <li class="nav-item" id="delete-link" hidden>
                <a class="nav-link" href="./delete-composition.html">Delete composition</a>
            </li>
            <li class="nav-item" id="users-link" hidden>
                <a class="nav-link" href="./users.html">Users</a>
            </li>
            <li class="nav-item" id="login-nav-item">
                <a class="nav-link" onclick="logout()" href='./index.html'>Log Out</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container white-background">
    <h1 class="mb-5 font-weight-bold">Compositions</h1>

    <section id="compositions" class="text-center">

        <table id="compositions-table" class="table">
            <thead>
            <tr>
                <th scope="col">Title</th>
                <th scope="col">Year Completed</th>
                <th scope="col">Genre</th>
                <th scope="col">Multi-movement</th>
                <th scope="col">Composer</th>
            </tr>
            </thead>
            <tbody id="compositions-table-body">

            </tbody>
        </table>

    </section>

</div>

<script src="../scripts/compositions.js"></script>

<script>
    if (sessionStorage.getItem('authToken') === 'admin-auth-token') {
        document.getElementById('delete-link').hidden = false;
        document.getElementById('add-composition-link').hidden = false;
        document.getElementById('users-link').hidden = false;
    }
</script>

<script>
    function logout() {
        sessionStorage.removeItem('authToken');
    }
</script>

</body>

</html>